Subject: Re: [PATCH v3] Documentation: Document each netlink family

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Nov 2023 08:15:22 -0800

On Tue, 21 Nov 2023 03:48:31 -0800 Breno Leitao wrote:
> This is a simple script that parses the Netlink YAML spec files
> (Documentation/netlink/specs/), and generates RST files to be rendered
> in the Network -> Netlink Specification documentation page.
> 
> Create a python script that is invoked during 'make htmldocs', reads the
> YAML specs input file and generate the correspondent RST file.
> 
> Create a new Documentation/networking/netlink_spec index page, and
> reference each Netlink RST file that was processed above in this main
> index.rst file.
> 
> In case of any exception during the parsing, dump the error and skip
> the file.
> 
> Do not regenerate the RST files if the input files (YAML) were not
> changed in-between invocations.

I can confirm that it does what it says and incremental make
htmldocs does not take forever.

Reviewed-by: Jakub Kicinski <[email-masked]>

Thanks!